/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */
package org.jfox.framework.extra;

/**
 * component can be start & stop with lifecyle manangement
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface Servicable extends Singleton {

    public void start() throws Exception;

    public void stop() throws Exception;

    public boolean isStarted();

}